ItemSetGuide.Localization = {}
ItemSetGuide.Localization.DebugCheckbox = {}
ItemSetGuide.Localization.QualityDropdown = {}
ItemSetGuide.Localization.CraftingTypeTranslations = {}
ItemSetGuide.Localization.LevelChoices = {}
ItemSetGuide.Localization.LevelChoices.Values = {}
ItemSetGuide.Localization.FixedLevel = {}
ItemSetGuide.Localization.KeyBindings = {}
ItemSetGuide.Localization.SearchWindow = {}
ItemSetGuide.Localization.SetTypes = {}
ItemSetGuide.Localization.EquipSlots = {}
ItemSetGuide.Localization.ItemTypes = {
    [EQUIP_SLOT_MAIN_HAND] = {},
    [EQUIP_SLOT_OFF_HAND] = {},
    [EQUIP_SLOT_NECK] = {},
    [EQUIP_SLOT_RING1] = {},
    [EQUIP_SLOT_HEAD] = {},
    [EQUIP_SLOT_SHOULDERS] = {},
    [EQUIP_SLOT_CHEST] = {},
    [EQUIP_SLOT_HAND] = {},
    [EQUIP_SLOT_WAIST] = {},
    [EQUIP_SLOT_LEGS] = {},
    [EQUIP_SLOT_FEET] = {},
}

ItemSetGuide.Localization.TwoHanded = "Two-Handed"

ItemSetGuide.Localization.No =  LocalizeString('<<1>>', GetString(SI_NO))
ItemSetGuide.Localization.Yes =  LocalizeString('<<1>>', GetString(SI_YES))
ItemSetGuide.Localization.Level =  LocalizeString('<<1>>', GetString(SI_EXPERIENCE_LEVEL_LABEL))
ItemSetGuide.Localization.Traits =  LocalizeString('<<1>>', GetString(SI_CRAFTING_COMPONENT_TOOLTIP_TRAITS))
ItemSetGuide.Localization.ExecuteSearch =  LocalizeString('<<1>>', GetString(SI_TRADING_HOUSE_DO_SEARCH))

ItemSetGuide.Localization.EquipSlots[EQUIP_SLOT_MAIN_HAND] = LocalizeString('<<1>>', GetString(SI_EQUIPSLOT4))
ItemSetGuide.Localization.EquipSlots[EQUIP_SLOT_OFF_HAND] =  LocalizeString('<<1>>', GetString(SI_EQUIPSLOT5))
ItemSetGuide.Localization.EquipSlots[EQUIP_SLOT_NECK] =  LocalizeString('<<1>>', GetString(SI_EQUIPSLOT1))
ItemSetGuide.Localization.EquipSlots[EQUIP_SLOT_RING1] =  LocalizeString('<<1>>', GetString(SI_EQUIPSLOT11))
ItemSetGuide.Localization.EquipSlots[EQUIP_SLOT_HEAD] =  LocalizeString('<<1>>', GetString(SI_EQUIPSLOT0))
ItemSetGuide.Localization.EquipSlots[EQUIP_SLOT_SHOULDERS] =  LocalizeString('<<1>>', GetString(SI_EQUIPSLOT3))
ItemSetGuide.Localization.EquipSlots[EQUIP_SLOT_CHEST] =  LocalizeString('<<1>>', GetString(SI_EQUIPSLOT2))
ItemSetGuide.Localization.EquipSlots[EQUIP_SLOT_HAND] =  LocalizeString('<<1>>', GetString(SI_EQUIPSLOT16))
ItemSetGuide.Localization.EquipSlots[EQUIP_SLOT_WAIST] =  LocalizeString('<<1>>', GetString(SI_EQUIPSLOT6))
ItemSetGuide.Localization.EquipSlots[EQUIP_SLOT_LEGS] =  LocalizeString('<<1>>', GetString(SI_EQUIPSLOT8))
ItemSetGuide.Localization.EquipSlots[EQUIP_SLOT_FEET] =  LocalizeString('<<1>>', GetString(SI_EQUIPSLOT9))

ItemSetGuide.Localization.ItemTypes[EQUIP_SLOT_MAIN_HAND][WEAPONTYPE_AXE] = LocalizeString('<<1>>', GetString(SI_WEAPONTYPE1))
ItemSetGuide.Localization.ItemTypes[EQUIP_SLOT_MAIN_HAND][WEAPONTYPE_HAMMER] = LocalizeString('<<1>>', GetString(SI_WEAPONTYPE2))
ItemSetGuide.Localization.ItemTypes[EQUIP_SLOT_MAIN_HAND][WEAPONTYPE_SWORD] = LocalizeString('<<1>>', GetString(SI_WEAPONTYPE3))
ItemSetGuide.Localization.ItemTypes[EQUIP_SLOT_MAIN_HAND][WEAPONTYPE_BOW] = LocalizeString('<<1>>', GetString(SI_WEAPONTYPE8))
ItemSetGuide.Localization.ItemTypes[EQUIP_SLOT_MAIN_HAND][WEAPONTYPE_HEALING_STAFF] = LocalizeString('<<1>>', GetString(SI_WEAPONTYPE9))
ItemSetGuide.Localization.ItemTypes[EQUIP_SLOT_MAIN_HAND][WEAPONTYPE_DAGGER] = LocalizeString('<<1>>', GetString(SI_WEAPONTYPE11))
ItemSetGuide.Localization.ItemTypes[EQUIP_SLOT_MAIN_HAND][WEAPONTYPE_FIRE_STAFF] = LocalizeString('<<1>>', GetString(SI_WEAPONTYPE12))
ItemSetGuide.Localization.ItemTypes[EQUIP_SLOT_MAIN_HAND][WEAPONTYPE_FROST_STAFF] = LocalizeString('<<1>>', GetString(SI_WEAPONTYPE13))
ItemSetGuide.Localization.ItemTypes[EQUIP_SLOT_MAIN_HAND][WEAPONTYPE_LIGHTNING_STAFF] = LocalizeString('<<1>>', GetString(SI_WEAPONTYPE15))
ItemSetGuide.Localization.ItemTypes[EQUIP_SLOT_MAIN_HAND][WEAPONTYPE_TWO_HANDED_AXE] = LocalizeString('<<1>>', GetString(SI_WEAPONTYPE1)).." ("..ItemSetGuide.Localization.TwoHanded..")"
ItemSetGuide.Localization.ItemTypes[EQUIP_SLOT_MAIN_HAND][WEAPONTYPE_TWO_HANDED_HAMMER] = LocalizeString('<<1>>', GetString(SI_WEAPONTYPE2)).." ("..ItemSetGuide.Localization.TwoHanded..")"
ItemSetGuide.Localization.ItemTypes[EQUIP_SLOT_MAIN_HAND][WEAPONTYPE_TWO_HANDED_SWORD] = LocalizeString('<<1>>', GetString(SI_WEAPONTYPE3)).." ("..ItemSetGuide.Localization.TwoHanded..")"

ItemSetGuide.Localization.ItemTypes[EQUIP_SLOT_OFF_HAND][WEAPONTYPE_AXE] = LocalizeString('<<1>>', GetString(SI_WEAPONTYPE1))
ItemSetGuide.Localization.ItemTypes[EQUIP_SLOT_OFF_HAND][WEAPONTYPE_HAMMER] = LocalizeString('<<1>>', GetString(SI_WEAPONTYPE2))
ItemSetGuide.Localization.ItemTypes[EQUIP_SLOT_OFF_HAND][WEAPONTYPE_SWORD] = LocalizeString('<<1>>', GetString(SI_WEAPONTYPE3))
ItemSetGuide.Localization.ItemTypes[EQUIP_SLOT_OFF_HAND][WEAPONTYPE_DAGGER] = LocalizeString('<<1>>', GetString(SI_WEAPONTYPE11))
ItemSetGuide.Localization.ItemTypes[EQUIP_SLOT_OFF_HAND][WEAPONTYPE_SHIELD] = LocalizeString('<<1>>', GetString(SI_WEAPONTYPE14))

ItemSetGuide.Localization.ItemTypes[EQUIP_SLOT_HEAD][ARMORTYPE_LIGHT] = LocalizeString('<<1>>', GetString(SI_ARMORTYPE1))
ItemSetGuide.Localization.ItemTypes[EQUIP_SLOT_HEAD][ARMORTYPE_MEDIUM] = LocalizeString('<<1>>', GetString(SI_ARMORTYPE2))
ItemSetGuide.Localization.ItemTypes[EQUIP_SLOT_HEAD][ARMORTYPE_HEAVY] = LocalizeString('<<1>>', GetString(SI_ARMORTYPE3))

ItemSetGuide.Localization.ItemTypes[EQUIP_SLOT_SHOULDERS][ARMORTYPE_LIGHT] = LocalizeString('<<1>>', GetString(SI_ARMORTYPE1))
ItemSetGuide.Localization.ItemTypes[EQUIP_SLOT_SHOULDERS][ARMORTYPE_MEDIUM] = LocalizeString('<<1>>', GetString(SI_ARMORTYPE2))
ItemSetGuide.Localization.ItemTypes[EQUIP_SLOT_SHOULDERS][ARMORTYPE_HEAVY] = LocalizeString('<<1>>', GetString(SI_ARMORTYPE3))

ItemSetGuide.Localization.ItemTypes[EQUIP_SLOT_CHEST][ARMORTYPE_LIGHT] = LocalizeString('<<1>>', GetString(SI_ARMORTYPE1))
ItemSetGuide.Localization.ItemTypes[EQUIP_SLOT_CHEST][ARMORTYPE_MEDIUM] = LocalizeString('<<1>>', GetString(SI_ARMORTYPE2))
ItemSetGuide.Localization.ItemTypes[EQUIP_SLOT_CHEST][ARMORTYPE_HEAVY] = LocalizeString('<<1>>', GetString(SI_ARMORTYPE3))

ItemSetGuide.Localization.ItemTypes[EQUIP_SLOT_HAND][ARMORTYPE_LIGHT] = LocalizeString('<<1>>', GetString(SI_ARMORTYPE1))
ItemSetGuide.Localization.ItemTypes[EQUIP_SLOT_HAND][ARMORTYPE_MEDIUM] = LocalizeString('<<1>>', GetString(SI_ARMORTYPE2))
ItemSetGuide.Localization.ItemTypes[EQUIP_SLOT_HAND][ARMORTYPE_HEAVY] = LocalizeString('<<1>>', GetString(SI_ARMORTYPE3))

ItemSetGuide.Localization.ItemTypes[EQUIP_SLOT_WAIST][ARMORTYPE_LIGHT] = LocalizeString('<<1>>', GetString(SI_ARMORTYPE1))
ItemSetGuide.Localization.ItemTypes[EQUIP_SLOT_WAIST][ARMORTYPE_MEDIUM] = LocalizeString('<<1>>', GetString(SI_ARMORTYPE2))
ItemSetGuide.Localization.ItemTypes[EQUIP_SLOT_WAIST][ARMORTYPE_HEAVY] = LocalizeString('<<1>>', GetString(SI_ARMORTYPE3))

ItemSetGuide.Localization.ItemTypes[EQUIP_SLOT_LEGS][ARMORTYPE_LIGHT] = LocalizeString('<<1>>', GetString(SI_ARMORTYPE1))
ItemSetGuide.Localization.ItemTypes[EQUIP_SLOT_LEGS][ARMORTYPE_MEDIUM] = LocalizeString('<<1>>', GetString(SI_ARMORTYPE2))
ItemSetGuide.Localization.ItemTypes[EQUIP_SLOT_LEGS][ARMORTYPE_HEAVY] = LocalizeString('<<1>>', GetString(SI_ARMORTYPE3))

ItemSetGuide.Localization.ItemTypes[EQUIP_SLOT_FEET][ARMORTYPE_LIGHT] = LocalizeString('<<1>>', GetString(SI_ARMORTYPE1))
ItemSetGuide.Localization.ItemTypes[EQUIP_SLOT_FEET][ARMORTYPE_MEDIUM] = LocalizeString('<<1>>', GetString(SI_ARMORTYPE2))
ItemSetGuide.Localization.ItemTypes[EQUIP_SLOT_FEET][ARMORTYPE_HEAVY] = LocalizeString('<<1>>', GetString(SI_ARMORTYPE3))

ItemSetGuide.Localization.DebugHeader = "Debug Options"

ItemSetGuide.Localization.DebugCheckbox.Text = "Debug"
ItemSetGuide.Localization.DebugCheckbox.Tooltip = "If debug information should be printed to the chat"

ItemSetGuide.Localization.QualityDropdown.Text = "Itemquality"
ItemSetGuide.Localization.QualityDropdown.Tooltip = "The quality to use when displaying items in ItemSetGuide"

ItemSetGuide.Localization.LevelChoices.Text = "Level calculation mode"
ItemSetGuide.Localization.LevelChoices.Tooltip = "How the level used for tooltips should be calculated"
ItemSetGuide.Localization.LevelChoices.Values[1] = "Fixed Level"
ItemSetGuide.Localization.LevelChoices.Values[2] = "Current Level"

ItemSetGuide.Localization.FixedLevel.Text = "Fixed Level Value"
ItemSetGuide.Localization.FixedLevel.Tooltip = "Set the level to use for tooltips"

ItemSetGuide.Localization.KeyBindings.ShowGui = "Show Main Window"
ItemSetGuide.Localization.KeyBindings.CommandsText = "Commands"
ItemSetGuide.Localization.KeyBindings.ShowDescription = "Opens the Main Window"
ItemSetGuide.Localization.KeyBindings.ShowMenuDescription = "Opens the settings menu"

ItemSetGuide.Localization.Setname = "Setname"
ItemSetGuide.Localization.Craftable = "Craftable"
ItemSetGuide.Localization.Locations = "Locations"
ItemSetGuide.Localization.TraitFormatText = ItemSetGuide.Localization.Traits..": %d/8"
ItemSetGuide.Localization.RequiredTraitsFormatText = "Required "..ItemSetGuide.Localization.Traits..": %d"

ItemSetGuide.Localization.SearchWindow.Name = "Search"
ItemSetGuide.Localization.SearchWindow.SetType = "Settype"
ItemSetGuide.Localization.SearchWindow.Slot = "Equip Slot"
ItemSetGuide.Localization.SearchWindow.ItemType = "Itemtype"
ItemSetGuide.Localization.SearchWindow.CraftableOnly = "Only currently craftable items"

ItemSetGuide.Localization.SetTypes[ITEMSETGUIDE_SETTYPE_CRAFTED] = "Crafted"
ItemSetGuide.Localization.SetTypes[ITEMSETGUIDE_SETTYPE_NONCRAFTED] = "Not crafted"